import argparse

def count_words_and_chars(text):
    words = text.split()
    characters = len(text)
    print(f"Words: {len(words)}")
    print(f"Characters: {characters}")

def main():
    parser = argparse.ArgumentParser(description="Count words and characters in a string")
    parser.add_argument("text", type=str, help="Enter the text to analyze")
    args = parser.parse_args()
    count_words_and_chars(args.text)

if __name__ == "__main__":
    main()
